POST /v3/templates
Create template (v3)
Create a new template
Request body
Required: yes
application/json
Schema: TemplateBuildRequestV3
name·string· optionalName of the template. Can include a tag with colon separator (e.g. "my-template" or "my-template:v1"). If tag is included, it will be treated as if the tag was provided in the tags array.
Maximum length:
128tags·array<string>· optionalTags to assign to the template build
cpuCount·CPUCount· optionalCPU cores for the sandbox
Format:
int32Minimum:
1memoryMB·MemoryMB· optionalMemory for the sandbox in MiB
Format:
int32Minimum:
128
Responses
202
The build was requested successfully
Content-Type: application/json
Schema: TemplateRequestResponseV3
templateID·string· requiredIdentifier of the template
buildID·string· requiredIdentifier of the last successful build for given template
public·boolean· requiredWhether the template is public or only accessible by the team
names·array<string>· requiredNames of the template
tags·array<string>· requiredTags assigned to the template build
400
Bad request
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError
401
Authentication error
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError
403
Forbidden
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError
500
Server error
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError